Package org.spongepowered.asm.mixin.gen

## Class AccessorInfo.AccessorName

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorInfo.AccessorName

- Enclosing class:
    AccessorInfo

      public static final class AccessorInfo.AccessorName
      extends java.lang.Object

  Accessor Name struct

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `methodName` | Name of the accessor method
    `java.lang.String` | `name` | Accessor name part
    `java.lang.String` | `prefix` | Accessor prefix

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessorInfo.AccessorName` | `of​(java.lang.String methodName)` | Get an accessor name from the supplied string.
    `static AccessorInfo.AccessorName` | `of​(java.lang.String methodName, boolean toMemberCase)` | Get an accessor name from the supplied string.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### methodName

          public final java.lang.String methodName

      Name of the accessor method

    - #### prefix

          public final java.lang.String prefix

      Accessor prefix

    - #### name

          public final java.lang.String name

      Accessor name part

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### of

          public static AccessorInfo.AccessorName of​(java.lang.String methodName)

      Get an accessor name from the supplied string. If the string matches the accessor name regex, split the string into the relevant parts
      Parameters:
        `methodName` - Name of the accessor method
      Returns:
        Parsed AccessorName struct or null if the name is not a valid accessor name

    - #### of

          public static AccessorInfo.AccessorName of​(java.lang.String methodName,
                                                     boolean toMemberCase)

      Get an accessor name from the supplied string. If the string matches the accessor name regex, split the string into the relevant parts
      Parameters:
        `methodName` - Name of the accessor method
        `toMemberCase` - True if the first character of the name should be conditionally converted to lowercase. If the name is all uppercase (eg. if the NAME_IS_A_CONSTANT) the first character will not be lowercased, regardless of the state of this argument
      Returns:
        Parsed AccessorName struct or null if the name is not a valid accessor name